TextLogoPainter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.TextLogoPainter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui
Class TextLogoPainter

    java.lang.Object
      org.biojava.bio.gui.TextLogoPainter

All Implemented Interfaces:
  LogoPainter

    public class TextLogoPainter

extends Object
implements LogoPainter

A logo painter that paints in stacked letters. The total height of the letters is proportional to the total informaton in the state. The height of each letter is proportional to its emission probability. The most likely letter is drawn highest.

Author:
  Matthew Pocock

Constructor Summary
`TextLogoPainter()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `firePropertyChange(PropertyChangeEvent evt)`
`void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)`
`void` | `firePropertyChange(String propertyName, int oldValue, int newValue)`
`void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)`
`Font` | `getLogoFont()` Retrieve the current font.
`boolean` | `hasListeners(String propertyName)`
`void` | `paintLogo(LogoContext ctxt)` Render the state from sl onto the graphics object g.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `setLogoFont(Font logoFont)` Set the current logo font.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextLogoPainter

    public TextLogoPainter()

Method Detail

### getLogoFont

    public Font getLogoFont()

  Retrieve the current font.

  Returns:
    the current logo font

### setLogoFont

    public void setLogoFont(Font logoFont)

  Set the current logo font.

  Parameters:
    `logoFont` - the new Font to render the logo letters in

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName,
                                          PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName,
                                             PropertyChangeListener listener)

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   Object oldValue,
                                   Object newValue)

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   int oldValue,
                                   int newValue)

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   boolean oldValue,
                                   boolean newValue)

### firePropertyChange

    public void firePropertyChange(PropertyChangeEvent evt)

### hasListeners

    public boolean hasListeners(String propertyName)

### paintLogo

    public void paintLogo(LogoContext ctxt)

  Description copied from interface: `LogoPainter`
  Render the state from sl onto the graphics object g.

  Specified by:
    `paintLogo` in interface `LogoPainter`
  Parameters:
    `ctxt` - the LogoContext to render

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD